<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Trustonic Tests: 00130_AES_ECB</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.7.2 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<h1>00130_AES_ECB<br/>
<small>
[<a class="el" href="group___s_e_c_u_r_e___a_p_i___c_r_y_p_t_o___a_l_g_o_r_i_t_h_m_s.html">Secure_API_Crypto_Algorithms</a>]</small>
</h1>  </div>
</div>
<div class="contents">

<p><b>Involved Components and their required Functionality</b>  
<a href="#_details">More...</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#ga541fb1d2f124b24fdb639470e7431906">TestCase_GC00200_Aes128EcbNopadEncryptSingleBlock</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#gad9784abdc8164f76541a9f2430669d7a">TestCase_GC00200_Aes128EcbNopadEncrypt512Blocks</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#gadc9a44f43be43062a1ec60b3425dfd41">TestCase_GC00300_Aes128EcbNopadDecryptSingleBlock</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#ga1536dac05170f9d756a3323f1452412b">TestCase_GC00300_Aes128EcbNopadDecrypt512Blocks</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#ga993f8bf63656329b03363f7e896e7bd7">TestCase_GC00200_Aes256EcbNopadEncryptSingleBlock</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#ga7ba4504ea580aad13d1c52a9d1747170">TestCase_GC00200_Aes256EcbNopadEncrypt512Blocks</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#ga8780ceb80fedf0149b63cb9b81eb3027">TestCase_GC00300_Aes256EcbNopadDecryptSingleBlock</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#gafe1738d4433631dcbfc600a138e4b24b">TestCase_GC00300_Aes256EcbNopadDecrypt512Blocks</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#ga9a0f52c1ad0fa187f003ba1a9e53ef7e">TestCase_GC00200_Aes128EcbPKCS5EncryptTwoBlocksWithPadding</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#ga24c333811e022fa0fa77985e389d515e">TestCase_GC00300_Aes128EcbPKCS5DecryptTwoBlocksWithPadding</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#gafcc6c0086e015b56bcf3a1495ba627bd">TestCase_GC00300_Aes128EcbIso9797M1EncryptTwoBlocksWithPadding</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#ga5eb3979dc0d1d1515d113be948cf825b">TestCase_GC00300_Aes128EcbIso9797M2EncryptTwoBlocksWithPadding</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#gab2e5b9d6268b740cb71f9b0b6964cbfa">TestCase_GC00300_Aes128EcbIso9797M1DecryptTwoBlocksWithPadding</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#gaa3d177966b67330652f6acbcd13c211a">TestCase_GC00300_Aes128EcbIso9797M2DecryptTwoBlocksWithPadding</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#ga436799e6933b0ee37ec2cb7a6834f944">TestCase_GC00300_Aes256EcbIso9797M1EncryptTwoBlocksWithPadding</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#ga5d7723195df97e000b966d9eeef43c8e">TestCase_GC00300_Aes256EcbIso9797M2EncryptTwoBlocksWithPadding</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#gaa46b85b53b92189f4925ae20649424e2">TestCase_GC00300_Aes256EcbIso9797M1DecryptTwoBlocksWithPadding</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#ga850e237732644395111be1d2204d9bb3">TestCase_GC00300_Aes256EcbIso9797M2DecryptTwoBlocksWithPadding</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#gaac9fa9f6448252da0c6167bb3f9464f1">TestCase_GC00200_Aes128EcbPKCS7EncryptTwoBlocksWithPadding</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____a_e_s___e_c_b.html#gab8caf23bdb2f8800f04cee95ccf4eb0b">TestCase_GC00300_Aes128EcbPKCS7DecryptTwoBlocksWithPadding</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p><b>Involved Components and their required Functionality</b> </p>
<ol type="1">
<li>ClientLib<ol type="a">
<li>Can connect to daemon</li>
<li>Can reserve memory for connection</li>
</ol>
</li>
<li>McDriverDaemon<ol type="a">
<li>Daemon running</li>
<li>Daemon socket accessible by TLC</li>
<li>mcOpenDevice()</li>
</ol>
</li>
<li>McDriverModule<ol type="a">
<li>Module loaded</li>
<li>Module socket accessible by daemon</li>
<li>Module listens for connection</li>
</ol>
</li>
<li>Trusted Application TlIntegrationTest<ol type="a">
<li>Trusted Application copied to Android on Test device in registry as 05010000000000000000000000000000.trst</li>
<li>Trusted Application runnable and bug-free </li>
</ol>
</li>
</ol>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga541fb1d2f124b24fdb639470e7431906"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00200_Aes128EcbNopadEncryptSingleBlock" ref="ga541fb1d2f124b24fdb639470e7431906" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00200_Aes128EcbNopadEncryptSingleBlock </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Encrypt AES 128 ECB, no padding, single block </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Encrypt AES 128 ECB, no padding, single block </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00200_Aes128EcbNopadEncryptSingleBlock </dd></dl>

</div>
</div>
<a class="anchor" id="gad9784abdc8164f76541a9f2430669d7a"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00200_Aes128EcbNopadEncrypt512Blocks" ref="gad9784abdc8164f76541a9f2430669d7a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00200_Aes128EcbNopadEncrypt512Blocks </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Encrypt AES 128 ECB, no padding, 512 blocks of data. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Encrypt AES 128 ECB, no padding, 512 blocks of data. </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00200_Aes128EcbNopadEncrypt512Blocks </dd></dl>

</div>
</div>
<a class="anchor" id="gadc9a44f43be43062a1ec60b3425dfd41"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes128EcbNopadDecryptSingleBlock" ref="gadc9a44f43be43062a1ec60b3425dfd41" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes128EcbNopadDecryptSingleBlock </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Decrypt AES 128 ECB, no padding, single block of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Decrypt AES 128 ECB, no padding, single block of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes128EcbNopadDecryptSingleBlock </dd></dl>

</div>
</div>
<a class="anchor" id="ga1536dac05170f9d756a3323f1452412b"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes128EcbNopadDecrypt512Blocks" ref="ga1536dac05170f9d756a3323f1452412b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes128EcbNopadDecrypt512Blocks </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Decrypt AES 128 ECB, no padding, 512 blocks of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Decrypt AES 128 ECB, no padding, 512 blocks of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes128EcbNopadDecrypt512Blocks </dd></dl>

</div>
</div>
<a class="anchor" id="ga993f8bf63656329b03363f7e896e7bd7"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00200_Aes256EcbNopadEncryptSingleBlock" ref="ga993f8bf63656329b03363f7e896e7bd7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00200_Aes256EcbNopadEncryptSingleBlock </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Encrypt AES 256 ECB, no padding, single block (16 bytes) </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Encrypt AES 256 ECB, no padding, single block (16 bytes) </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00200_Aes256EcbNopadEncryptSingleBlock </dd></dl>

</div>
</div>
<a class="anchor" id="ga7ba4504ea580aad13d1c52a9d1747170"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00200_Aes256EcbNopadEncrypt512Blocks" ref="ga7ba4504ea580aad13d1c52a9d1747170" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00200_Aes256EcbNopadEncrypt512Blocks </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Encrypt AES 256 ECB, no padding, 512 blocks data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Encrypt AES 256 ECB, no padding, 512 blocks data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00200_Aes256EcbNopadEncrypt512Blocks </dd></dl>

</div>
</div>
<a class="anchor" id="ga8780ceb80fedf0149b63cb9b81eb3027"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes256EcbNopadDecryptSingleBlock" ref="ga8780ceb80fedf0149b63cb9b81eb3027" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes256EcbNopadDecryptSingleBlock </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Decrypt AES 256 ECB, no padding, single block (16 bytes) </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Decrypt AES 256 ECB, no padding, single block (16 bytes) </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes256EcbNopadDecryptSingleBlock </dd></dl>

</div>
</div>
<a class="anchor" id="gafe1738d4433631dcbfc600a138e4b24b"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes256EcbNopadDecrypt512Blocks" ref="gafe1738d4433631dcbfc600a138e4b24b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes256EcbNopadDecrypt512Blocks </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Decrypt AES 256 ECB, no padding, 512 blocks of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Decrypt AES 256 ECB, no padding, 512 blocks of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes256EcbNopadDecrypt512Blocks </dd></dl>

</div>
</div>
<a class="anchor" id="ga9a0f52c1ad0fa187f003ba1a9e53ef7e"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00200_Aes128EcbPKCS5EncryptTwoBlocksWithPadding" ref="ga9a0f52c1ad0fa187f003ba1a9e53ef7e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00200_Aes128EcbPKCS5EncryptTwoBlocksWithPadding </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Encrypt AES 128 ECB, PKCS5 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Encrypt AES 128 ECB, PKCS5 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00200_Aes128EcbPKCS5EncryptTwoBlocksWithPadding </dd></dl>

</div>
</div>
<a class="anchor" id="ga24c333811e022fa0fa77985e389d515e"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes128EcbPKCS5DecryptTwoBlocksWithPadding" ref="ga24c333811e022fa0fa77985e389d515e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes128EcbPKCS5DecryptTwoBlocksWithPadding </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Decrypt AES 128 ECB, PKCS5 padding, two blocks of data, encrypt with OpenSSL </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Decrypt AES 128 ECB, PKCS5 padding, two blocks of data, encrypt with OpenSSL </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes128EcbPKCS5DecryptTwoBlocksWithPadding </dd></dl>

</div>
</div>
<a class="anchor" id="gafcc6c0086e015b56bcf3a1495ba627bd"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes128EcbIso9797M1EncryptTwoBlocksWithPadding" ref="gafcc6c0086e015b56bcf3a1495ba627bd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes128EcbIso9797M1EncryptTwoBlocksWithPadding </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Encrypt AES 128 ECB, ISO9797 M1 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Encrypt AES 128 ECB, ISO9797 M1 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes128EcbIso9797M1EncryptTwoBlocksWithPadding </dd></dl>

</div>
</div>
<a class="anchor" id="ga5eb3979dc0d1d1515d113be948cf825b"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes128EcbIso9797M2EncryptTwoBlocksWithPadding" ref="ga5eb3979dc0d1d1515d113be948cf825b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes128EcbIso9797M2EncryptTwoBlocksWithPadding </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Encrypt AES 128 ECB, ISO9797 M2 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Encrypt AES 128 ECB, ISO9797 M2 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes128EcbIso9797M2EncryptTwoBlocksWithPadding </dd></dl>

</div>
</div>
<a class="anchor" id="gab2e5b9d6268b740cb71f9b0b6964cbfa"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes128EcbIso9797M1DecryptTwoBlocksWithPadding" ref="gab2e5b9d6268b740cb71f9b0b6964cbfa" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes128EcbIso9797M1DecryptTwoBlocksWithPadding </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Decrypt AES 128 ECB, ISO9797 M1 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Decrypt AES 128 ECB, ISO9797 M1 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes128EcbIso9797M1DecryptTwoBlocksWithPadding </dd></dl>

</div>
</div>
<a class="anchor" id="gaa3d177966b67330652f6acbcd13c211a"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes128EcbIso9797M2DecryptTwoBlocksWithPadding" ref="gaa3d177966b67330652f6acbcd13c211a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes128EcbIso9797M2DecryptTwoBlocksWithPadding </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Decrypt AES 128 ECB, ISO9797 M2 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Decrypt AES 128 ECB, ISO9797 M2 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes128EcbIso9797M2DecryptTwoBlocksWithPadding </dd></dl>

</div>
</div>
<a class="anchor" id="ga436799e6933b0ee37ec2cb7a6834f944"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes256EcbIso9797M1EncryptTwoBlocksWithPadding" ref="ga436799e6933b0ee37ec2cb7a6834f944" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes256EcbIso9797M1EncryptTwoBlocksWithPadding </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Encrypt AES 256 ECB, ISO9797 M1 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Encrypt AES 256 ECB, ISO9797 M1 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes256EcbIso9797M1EncryptTwoBlocksWithPadding </dd></dl>

</div>
</div>
<a class="anchor" id="ga5d7723195df97e000b966d9eeef43c8e"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes256EcbIso9797M2EncryptTwoBlocksWithPadding" ref="ga5d7723195df97e000b966d9eeef43c8e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes256EcbIso9797M2EncryptTwoBlocksWithPadding </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Encrypt AES 256 ECB, ISO9797 M2 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Encrypt AES 256 ECB, ISO9797 M2 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes256EcbIso9797M2EncryptTwoBlocksWithPadding </dd></dl>

</div>
</div>
<a class="anchor" id="gaa46b85b53b92189f4925ae20649424e2"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes256EcbIso9797M1DecryptTwoBlocksWithPadding" ref="gaa46b85b53b92189f4925ae20649424e2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes256EcbIso9797M1DecryptTwoBlocksWithPadding </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Decrypt AES 256 ECB, ISO9797 M1 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Decrypt AES 256 ECB, ISO9797 M1 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes256EcbIso9797M1DecryptTwoBlocksWithPadding </dd></dl>

</div>
</div>
<a class="anchor" id="ga850e237732644395111be1d2204d9bb3"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes256EcbIso9797M2DecryptTwoBlocksWithPadding" ref="ga850e237732644395111be1d2204d9bb3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes256EcbIso9797M2DecryptTwoBlocksWithPadding </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Decrypt AES 256 ECB, ISO9797 M2 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Decrypt AES 256 ECB, ISO9797 M2 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes256EcbIso9797M2DecryptTwoBlocksWithPadding </dd></dl>

</div>
</div>
<a class="anchor" id="gaac9fa9f6448252da0c6167bb3f9464f1"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00200_Aes128EcbPKCS7EncryptTwoBlocksWithPadding" ref="gaac9fa9f6448252da0c6167bb3f9464f1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00200_Aes128EcbPKCS7EncryptTwoBlocksWithPadding </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Encrypt AES 128 ECB, PKCS7 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Encrypt AES 128 ECB, PKCS7 padding, two blocks of data </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00200_Aes128EcbPKCS7EncryptTwoBlocksWithPadding </dd></dl>

</div>
</div>
<a class="anchor" id="gab8caf23bdb2f8800f04cee95ccf4eb0b"></a><!-- doxytag: member="00130_AES_ECB.cpp::TestCase_GC00300_Aes128EcbPKCS7DecryptTwoBlocksWithPadding" ref="gab8caf23bdb2f8800f04cee95ccf4eb0b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00300_Aes128EcbPKCS7DecryptTwoBlocksWithPadding </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Decrypt AES 128 ECB, PKCS7 padding, two blocks of data, encrypt with OpenSSL </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Decrypt AES 128 ECB, PKCS7 padding, two blocks of data, encrypt with OpenSSL </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>Function returns TLAPI_OK and encrypted data matches test vector.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Secure_API_Crypto_Algorithms.00130_AES_ECB.GC00300_Aes128EcbPKCS7DecryptTwoBlocksWithPadding </dd></dl>

</div>
</div>
</div>
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
